com.tibco.n2.service.adapter.processor

## Class DefaultProcessor

- java.lang.Object
- - com.tibco.n2.service.adapter.processor.DefaultProcessor

- All Implemented Interfaces:
    Processor

      public class DefaultProcessor
      extends java.lang.Object
      implements Processor

  TODO Give a useful description of the type.
  Since:
    TODO

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `hookAfterInvocation(java.lang.Object object, java.lang.reflect.Method method)`
    `java.lang.Object[]` | `hookBeforeInvocation(java.lang.Object object, java.lang.reflect.Method method, java.lang.Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProcessor

          public DefaultProcessor()

  - ### Method Detail

    - #### hookAfterInvocation

          public java.lang.Object hookAfterInvocation(java.lang.Object object,
                                                      java.lang.reflect.Method method)
                                               throws java.lang.Throwable

      Specified by:
        `hookAfterInvocation` in interface `Processor`
      Throws:
        `java.lang.Throwable`

    - #### hookBeforeInvocation

          public java.lang.Object[] hookBeforeInvocation(java.lang.Object object,
                                                         java.lang.reflect.Method method,
                                                         java.lang.Object[] args)
                                                  throws java.lang.Throwable

      Specified by:
        `hookBeforeInvocation` in interface `Processor`
      Throws:
        `java.lang.Throwable`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.